Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | Private Attributes | List of all members
eZ\Publish\Core\Persistence\Cache\Handler Class Reference

Persistence Cache Handler class. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Cache\Handler:

## Public Member Functions
| __construct (PersistenceHandlerInterface $persistenceHandler, CacheSectionHandler $sectionHandler, CacheLocationHandler $locationHandler, CacheContentHandler $contentHandler, CacheContentLanguageHandler $contentLanguageHandler, CacheContentTypeHandler $contentTypeHandler, CacheUserHandler $userHandler, CacheTransactionHandler $transactionHandler, CacheTrashHandler $trashHandler, CacheUrlAliasHandler $urlAliasHandler, CacheObjectStateHandler $objectStateHandler, CacheUrlHandler $urlHandler, CacheBookmarkHandler $bookmarkHandler, CacheNotificationHandler $notificationHandler, CacheUserPreferenceHandler $userPreferenceHandler, CacheUrlWildcardHandler $urlWildcardHandler, PersistenceLogger $logger)
| contentHandler ()
| contentTypeHandler ()
| contentLanguageHandler ()
| locationHandler ()
| objectStateHandler ()
| userHandler ()
| sectionHandler ()
| trashHandler ()
| urlAliasHandler ()
| urlWildcardHandler ()
| transactionHandler ()
| urlHandler ()
| bookmarkHandler ()
| notificationHandler ()
| userPreferenceHandler ()
| beginTransaction ()
| {Begin transaction.Begins an transaction, make sure you'll call commit or rollback when done, otherwise work will be lost. Deprecated: Since 5.3 {@use transactionHandler()->beginTransaction()} } More...
| commit ()
  | {Commit transaction.Commit transaction, or throw exceptions if no transactions has been started. Exceptions
} More...
| rollback ()
  | {Rollback transaction.Rollback transaction, or throw exceptions if no transactions has been started. Exceptions
} More...

## Protected Attributes
| $persistenceHandler
| $sectionHandler
| $contentHandler
| $contentLanguageHandler
| $contentTypeHandler
| $locationHandler
| $userHandler
| $trashHandler
| $urlAliasHandler
| $objectStateHandler
| $transactionHandler
| $urlHandler
| $bookmarkHandler
| $notificationHandler
| $userPreferenceHandler
| $logger

## Private Attributes
| $urlWildcardHandler

## Detailed Description

Persistence Cache Handler class.

Definition at line 31 of file Core/Persistence/Cache/Handler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Cache\Handler::__construct | ( | PersistenceHandlerInterface | $persistenceHandler,
|  | CacheSectionHandler | $sectionHandler,
|  | CacheLocationHandler | $locationHandler,
|  | CacheContentHandler | $contentHandler,
|  | CacheContentLanguageHandler | $contentLanguageHandler,
|  | CacheContentTypeHandler | $contentTypeHandler,
|  | CacheUserHandler | $userHandler,
|  | CacheTransactionHandler | $transactionHandler,
|  | CacheTrashHandler | $trashHandler,
|  | CacheUrlAliasHandler | $urlAliasHandler,
|  | CacheObjectStateHandler | $objectStateHandler,
|  | CacheUrlHandler | $urlHandler,
|  | CacheBookmarkHandler | $bookmarkHandler,
|  | CacheNotificationHandler | $notificationHandler,
|  | CacheUserPreferenceHandler | $userPreferenceHandler,
|  | CacheUrlWildcardHandler | $urlWildcardHandler,
|  | PersistenceLogger | $logger
| ) |  |

Parameters

  \eZ\Publish\SPI\Persistence\Handler | $persistenceHandler | Must be factory for inner persistence, ie: legacy
  \eZ\Publish\Core\Persistence\Cache\SectionHandler | $sectionHandler |
  \eZ\Publish\Core\Persistence\Cache\LocationHandler | $locationHandler |
  \eZ\Publish\Core\Persistence\Cache\ContentHandler | $contentHandler |
  \eZ\Publish\Core\Persistence\Cache\ContentLanguageHandler | $contentLanguageHandler |
  \eZ\Publish\Core\Persistence\Cache\ContentTypeHandler | $contentTypeHandler |
  \eZ\Publish\Core\Persistence\Cache\UserHandler | $userHandler |
  \eZ\Publish\Core\Persistence\Cache\TransactionHandler | $transactionHandler |
  \eZ\Publish\Core\Persistence\Cache\TrashHandler | $trashHandler |
  \eZ\Publish\Core\Persistence\Cache\UrlAliasHandler | $urlAliasHandler |
  \eZ\Publish\Core\Persistence\Cache\ObjectStateHandler | $objectStateHandler |
  \eZ\Publish\Core\Persistence\Cache\URLHandler | $urlHandler |
  \eZ\Publish\Core\Persistence\Cache\BookmarkHandler | $bookmarkHandler |
  \eZ\Publish\Core\Persistence\Cache\NotificationHandler | $notificationHandler |
  \eZ\Publish\Core\Persistence\Cache\UserPreferenceHandler | $userPreferenceHandler |
  \eZ\Publish\Core\Persistence\Cache\UrlWildcardHandler | $urlWildcardHandler |
  \eZ\Publish\Core\Persistence\Cache\PersistenceLogger | $logger |

Definition at line 103 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\$bookmarkHandler, eZ\Publish\Core\Persistence\Cache\Handler\$contentHandler, eZ\Publish\Core\Persistence\Cache\Handler\$contentLanguageHandler, eZ\Publish\Core\Persistence\Cache\Handler\$contentTypeHandler, eZ\Publish\Core\Persistence\Cache\Handler\$locationHandler, eZ\Publish\Core\Persistence\Cache\Handler\$logger, eZ\Publish\Core\Persistence\Cache\Handler\$notificationHandler, eZ\Publish\Core\Persistence\Cache\Handler\$objectStateHandler, eZ\Publish\Core\Persistence\Cache\Handler\$persistenceHandler, eZ\Publish\Core\Persistence\Cache\Handler\$sectionHandler, eZ\Publish\Core\Persistence\Cache\Handler\$transactionHandler, eZ\Publish\Core\Persistence\Cache\Handler\$trashHandler, eZ\Publish\Core\Persistence\Cache\Handler\$urlAliasHandler, eZ\Publish\Core\Persistence\Cache\Handler\$urlHandler, eZ\Publish\Core\Persistence\Cache\Handler\$urlWildcardHandler, eZ\Publish\Core\Persistence\Cache\Handler\$userHandler, eZ\Publish\Core\Persistence\Cache\Handler\$userPreferenceHandler, eZ\Publish\Core\Persistence\Cache\Handler\bookmarkHandler(), eZ\Publish\Core\Persistence\Cache\Handler\contentHandler(), eZ\Publish\Core\Persistence\Cache\Handler\contentLanguageHandler(), eZ\Publish\Core\Persistence\Cache\Handler\contentTypeHandler(), eZ\Publish\Core\Persistence\Cache\Handler\locationHandler(), eZ\Publish\Core\Persistence\Cache\Handler\notificationHandler(), eZ\Publish\Core\Persistence\Cache\Handler\objectStateHandler(), eZ\Publish\Core\Persistence\Cache\Handler\sectionHandler(), eZ\Publish\Core\Persistence\Cache\Handler\transactionHandler(), eZ\Publish\Core\Persistence\Cache\Handler\trashHandler(), eZ\Publish\Core\Persistence\Cache\Handler\urlAliasHandler(), eZ\Publish\Core\Persistence\Cache\Handler\urlHandler(), eZ\Publish\Core\Persistence\Cache\Handler\urlWildcardHandler(), eZ\Publish\Core\Persistence\Cache\Handler\userHandler(), and eZ\Publish\Core\Persistence\Cache\Handler\userPreferenceHandler().

## Member Function Documentation

## ◆ beginTransaction()

eZ\Publish\Core\Persistence\Cache\Handler::beginTransaction | ( |  | ) |

{Begin transaction.Begins an transaction, make sure you'll call commit or rollback when done, otherwise work will be lost.

Deprecated:
  Since 5.3 {@use transactionHandler()->beginTransaction()}

}

Implements eZ\Publish\SPI\Persistence\Handler.

Definition at line 264 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\transactionHandler().

## ◆ bookmarkHandler()

eZ\Publish\Core\Persistence\Cache\Handler::bookmarkHandler | ( |  | ) |

Returns
  \eZ\Publish\Core\Persistence\Cache\BookmarkHandler

Implements eZ\Publish\SPI\Persistence\Handler.

Definition at line 240 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\$bookmarkHandler.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct().

## ◆ commit()

eZ\Publish\Core\Persistence\Cache\Handler::commit | ( |  | ) |

{Commit transaction.Commit transaction, or throw exceptions if no transactions has been started.

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Handler.

Definition at line 272 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\transactionHandler().

## ◆ contentHandler()

eZ\Publish\Core\Persistence\Cache\Handler::contentHandler | ( |  | ) |

Returns
  \eZ\Publish\SPI\Persistence\Content\Handler

Implements eZ\Publish\SPI\Persistence\Handler.

Definition at line 144 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\$contentHandler.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct().

## ◆ contentLanguageHandler()

eZ\Publish\Core\Persistence\Cache\Handler::contentLanguageHandler | ( |  | ) |

Returns
  \eZ\Publish\SPI\Persistence\Content\Language\Handler

Implements eZ\Publish\SPI\Persistence\Handler.

Definition at line 160 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\$contentLanguageHandler.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct().

## ◆ contentTypeHandler()

eZ\Publish\Core\Persistence\Cache\Handler::contentTypeHandler | ( |  | ) |

Returns
  \eZ\Publish\SPI\Persistence\Content\Type\Handler

Implements eZ\Publish\SPI\Persistence\Handler.

Definition at line 152 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\$contentTypeHandler.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct().

## ◆ locationHandler()

eZ\Publish\Core\Persistence\Cache\Handler::locationHandler | ( |  | ) |

Returns
  \eZ\Publish\SPI\Persistence\Content\Location\Handler

Implements eZ\Publish\SPI\Persistence\Handler.

Definition at line 168 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\$locationHandler.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct().

## ◆ notificationHandler()

eZ\Publish\Core\Persistence\Cache\Handler::notificationHandler | ( |  | ) |

Returns
  \eZ\Publish\Core\Persistence\Cache\NotificationHandler

Implements eZ\Publish\SPI\Persistence\Handler.

Definition at line 248 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\$notificationHandler.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct().

## ◆ objectStateHandler()

eZ\Publish\Core\Persistence\Cache\Handler::objectStateHandler | ( |  | ) |

Returns
  \eZ\Publish\SPI\Persistence\Content\ObjectState\Handler

Implements eZ\Publish\SPI\Persistence\Handler.

Definition at line 176 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\$objectStateHandler.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct().

## ◆ rollback()

eZ\Publish\Core\Persistence\Cache\Handler::rollback | ( |  | ) |

{Rollback transaction.Rollback transaction, or throw exceptions if no transactions has been started.

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Handler.

Definition at line 280 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\transactionHandler().

## ◆ sectionHandler()

eZ\Publish\Core\Persistence\Cache\Handler::sectionHandler | ( |  | ) |

Returns
  \eZ\Publish\SPI\Persistence\Content\Section\Handler

Implements eZ\Publish\SPI\Persistence\Handler.

Definition at line 192 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\$sectionHandler.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct().

## ◆ transactionHandler()

eZ\Publish\Core\Persistence\Cache\Handler::transactionHandler | ( |  | ) |

Returns
  \eZ\Publish\SPI\Persistence\TransactionHandler

Implements eZ\Publish\SPI\Persistence\Handler.

Definition at line 224 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\$transactionHandler.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct(), eZ\Publish\Core\Persistence\Cache\Handler\beginTransaction(), eZ\Publish\Core\Persistence\Cache\Handler\commit(), and eZ\Publish\Core\Persistence\Cache\Handler\rollback().

## ◆ trashHandler()

eZ\Publish\Core\Persistence\Cache\Handler::trashHandler | ( |  | ) |

Returns
  \eZ\Publish\SPI\Persistence\Content\Location\Trash\Handler

Implements eZ\Publish\SPI\Persistence\Handler.

Definition at line 200 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\$trashHandler.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct().

## ◆ urlAliasHandler()

eZ\Publish\Core\Persistence\Cache\Handler::urlAliasHandler | ( |  | ) |

Returns
  \eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler

Implements eZ\Publish\SPI\Persistence\Handler.

Definition at line 208 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\$urlAliasHandler.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct().

## ◆ urlHandler()

eZ\Publish\Core\Persistence\Cache\Handler::urlHandler | ( |  | ) |

Returns
  \eZ\Publish\Core\Persistence\Cache\URLHandler

Implements eZ\Publish\SPI\Persistence\Handler.

Definition at line 232 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\$urlHandler.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct().

## ◆ urlWildcardHandler()

eZ\Publish\Core\Persistence\Cache\Handler::urlWildcardHandler | ( |  | ) |

Returns
  \eZ\Publish\SPI\Persistence\Content\UrlWildcard\Handler

Implements eZ\Publish\SPI\Persistence\Handler.

Definition at line 216 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\$urlWildcardHandler.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct().

## ◆ userHandler()

eZ\Publish\Core\Persistence\Cache\Handler::userHandler | ( |  | ) |

Returns
  \eZ\Publish\SPI\Persistence\User\Handler

Implements eZ\Publish\SPI\Persistence\Handler.

Definition at line 184 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\$userHandler.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct().

## ◆ userPreferenceHandler()

eZ\Publish\Core\Persistence\Cache\Handler::userPreferenceHandler | ( |  | ) |

Returns
  \eZ\Publish\Core\Persistence\Cache\UserPreferenceHandler

Implements eZ\Publish\SPI\Persistence\Handler.

Definition at line 256 of file Core/Persistence/Cache/Handler.php.

References eZ\Publish\Core\Persistence\Cache\Handler\$userPreferenceHandler.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct().

## Member Data Documentation

## ◆ $bookmarkHandler

eZ\Publish\Core\Persistence\Cache\Handler::$bookmarkHandler
| protected

Definition at line 70 of file Core/Persistence/Cache/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct(), and eZ\Publish\Core\Persistence\Cache\Handler\bookmarkHandler().

## ◆ $contentHandler

eZ\Publish\Core\Persistence\Cache\Handler::$contentHandler
| protected

Definition at line 40 of file Core/Persistence/Cache/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct(), and eZ\Publish\Core\Persistence\Cache\Handler\contentHandler().

## ◆ $contentLanguageHandler

eZ\Publish\Core\Persistence\Cache\Handler::$contentLanguageHandler
| protected

Definition at line 43 of file Core/Persistence/Cache/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct(), and eZ\Publish\Core\Persistence\Cache\Handler\contentLanguageHandler().

## ◆ $contentTypeHandler

eZ\Publish\Core\Persistence\Cache\Handler::$contentTypeHandler
| protected

Definition at line 46 of file Core/Persistence/Cache/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct(), and eZ\Publish\Core\Persistence\Cache\Handler\contentTypeHandler().

## ◆ $locationHandler

eZ\Publish\Core\Persistence\Cache\Handler::$locationHandler
| protected

Definition at line 49 of file Core/Persistence/Cache/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct(), and eZ\Publish\Core\Persistence\Cache\Handler\locationHandler().

## ◆ $logger

eZ\Publish\Core\Persistence\Cache\Handler::$logger
| protected

Definition at line 82 of file Core/Persistence/Cache/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct().

## ◆ $notificationHandler

eZ\Publish\Core\Persistence\Cache\Handler::$notificationHandler
| protected

Definition at line 73 of file Core/Persistence/Cache/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct(), and eZ\Publish\Core\Persistence\Cache\Handler\notificationHandler().

## ◆ $objectStateHandler

eZ\Publish\Core\Persistence\Cache\Handler::$objectStateHandler
| protected

Definition at line 61 of file Core/Persistence/Cache/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct(), and eZ\Publish\Core\Persistence\Cache\Handler\objectStateHandler().

## ◆ $persistenceHandler

eZ\Publish\Core\Persistence\Cache\Handler::$persistenceHandler
| protected

Definition at line 34 of file Core/Persistence/Cache/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct().

## ◆ $sectionHandler

eZ\Publish\Core\Persistence\Cache\Handler::$sectionHandler
| protected

Definition at line 37 of file Core/Persistence/Cache/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct(), and eZ\Publish\Core\Persistence\Cache\Handler\sectionHandler().

## ◆ $transactionHandler

eZ\Publish\Core\Persistence\Cache\Handler::$transactionHandler
| protected

Definition at line 64 of file Core/Persistence/Cache/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct(), and eZ\Publish\Core\Persistence\Cache\Handler\transactionHandler().

## ◆ $trashHandler

eZ\Publish\Core\Persistence\Cache\Handler::$trashHandler
| protected

Definition at line 55 of file Core/Persistence/Cache/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct(), and eZ\Publish\Core\Persistence\Cache\Handler\trashHandler().

## ◆ $urlAliasHandler

eZ\Publish\Core\Persistence\Cache\Handler::$urlAliasHandler
| protected

Definition at line 58 of file Core/Persistence/Cache/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct(), and eZ\Publish\Core\Persistence\Cache\Handler\urlAliasHandler().

## ◆ $urlHandler

eZ\Publish\Core\Persistence\Cache\Handler::$urlHandler
| protected

Definition at line 67 of file Core/Persistence/Cache/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct(), and eZ\Publish\Core\Persistence\Cache\Handler\urlHandler().

## ◆ $urlWildcardHandler

eZ\Publish\Core\Persistence\Cache\Handler::$urlWildcardHandler
| private

Definition at line 79 of file Core/Persistence/Cache/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct(), and eZ\Publish\Core\Persistence\Cache\Handler\urlWildcardHandler().

## ◆ $userHandler

eZ\Publish\Core\Persistence\Cache\Handler::$userHandler
| protected

Definition at line 52 of file Core/Persistence/Cache/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct(), and eZ\Publish\Core\Persistence\Cache\Handler\userHandler().

## ◆ $userPreferenceHandler

eZ\Publish\Core\Persistence\Cache\Handler::$userPreferenceHandler
| protected

Definition at line 76 of file Core/Persistence/Cache/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\Handler\__construct(), and eZ\Publish\Core\Persistence\Cache\Handler\userPreferenceHandler().

The documentation for this class was generated from the following file:

- Core/Persistence/Cache/Handler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.